name: Fake tests
tests:
- name: Uplink event
  uplink:
    time: "2022-01-02T03:04:05+02:00"
    payload: 0x0100e202290400270506060308070d62
    port: 7
    state:
      interval: 15
  response:
    state:
      interval: 15
    downlinks:
    - payload: 0x0100e202290400270506060308070d62
      port: 7
      confirmed: false
    updates:
    - time: "2022-01-02T00:04:05Z"
      properties:
        temperature: 25
        external_power: false
        voltage: 4.07
    device_health:
      - time: "2022-01-02T00:04:05Z"
        properties:
          battery:
            power_source: battery
            charge_percentage: 80
            charge_voltage: 4.07
            status: discharging
- name: Config event
  config:
    config:
      interval: 2
    state:
      interval: 1
  response:
    downlinks:
    - payload: 0x0102
      port: 3
      confirmed: true
    state:
      interval: 1
- name: Action event
  action:
    actions:
    - reboot: {}
    config:
      interval: 2
    state:
      interval: 1
  response:
    downlinks:
    - payload: 0x42
      port: 13